Skip to main content
GET
/
trading
/
trades
List trades
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/trades \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "quantitySold": "1",
      "currencySold": "USD",
      "currencyBought": "BTC",
      "price": "11681.67",
      "quantityBought": "0.00008561",
      "side": "BUY",
      "timestamp": "2020-08-31T22:15:31.99999Z",
      "tradeID": "e0538774-ebd9-11ea-adc1-0242ac120002",
      "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120011",
      "vault": {
        "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
      },
      "tradeStatus": "EXECUTED",
      "tradingPair": "BTC-USD",
      "fee": "0.01",
      "feeCurrency": "USD"
    },
    {
      "quantitySold": "1",
      "currencySold": "USD",
      "currencyBought": "ETH",
      "price": "435.16",
      "quantityBought": "0.00230049",
      "side": "BUY",
      "timestamp": "2020-08-31T22:14:07.99999Z",
      "tradeID": "d1ae1416-ebd7-11ea-adc1-0242ac120002",
      "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120002",
      "vault": {
        "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
      },
      "tradeStatus": "EXECUTED",
      "tradingPair": "ETH-USD",
      "fee": "0.01",
      "feeCurrency": "USD"
    }
  ],
  "page": {
    "next": "/v2/trading/trades?endDate=2020-08-31T22:14:07Z&limit=2"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

startDate
string<date>

The start date of the trades (inclusive) in YYYY-MM-DD format. The earliest valid start date is 2017-01-01. The last valid start date is the current date. A startDate of '2021-01-10' is equivalent to a startDateTime of '2021-01-10.00:00:00.000000000'. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date of the trades (exclusive) in YYYY-MM-DD format. The latest valid end date is the current date. If not provided, defaults to the most recently closed day. An endDate of '2021-01-10' is equivalent to an endDateTime of '2021-01-10.00:00:00.000000000'. Dates are always in UTC RFC 3339 'full-date'.

startDateTime
string<date-time>

The start date-time of the trades (exclusive) in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. The earliest valid start date-time is '2017-01-01T00:00:00.000000000'. The last valid start date-time is the current date-time. startDateTime will be used if both startDate and startDateTime are specified. Date-times are always in UTC RFC 3339 'date-time'.

endDateTime
string<date-time>

The end date-time of the trades (exclusive) in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. The latest valid end date-time is the current date-time. The earliest valid end date-time is '2017-01-01T00:00:00.000000000'. endDateTime will be used if both endDate and endDateTime are specified. Date-times are always in UTC RFC 3339 'date-time'.

status
enum<string>[]

One or more statuses to filter trades. If provided, only trades matching these statuses will be returned.

Available options:
PENDING,
REJECTED,
CANCELED,
EXECUTED,
SETTLING,
SETTLED
side
enum<string>

Filter by the side of a trade. If provided, only trades matching this side will be returned.

Available options:
BUY,
SELL
tradingPair
string

Filter by the trading pair of a trade. If provided, only trades matching this pair of assets will be returned.

accountId
string

Filter by the trading account ID of a trade. If provided, only trades linked to this account ID will be returned.

subaccountId
string

Filter by the trading account ID of a trade. If provided, only trades linked to this account ID will be returned.

orderId
string

Filter by the order ID of a trade. The orderId is the anchorage orderId on execution report. If provided, only trades of the specified order will be returned.

vaultId
string

Filter by the vault ID of a trade. If provided, only trades linked to this vault ID will be returned.

tradeIds
string[]

A list of tradeIds to return. Invalid tradeIds will be ignored. A maximum number of unique 500 trade ids are enforced per call.

Required array length: 1 - 500 elements
limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 2000

Response

A list of Trades and their metadata

data
TradeDetails · object[]
required
page
Page · object
required

Pagination info